## canna 3.7p3

=== debian/changelog ===
canna (3.7p3-7) unstable; urgency=low

  * QA upload.
  * Set the Maintainer field to Debian QA Group (see: #519388)
    Thanks Atsushi Mitsuka <mitsuka@misao.gr.jp> for the previous works.
  * debian/control: bumped Standards-Version: 3.9.2
  * switched to 3.0 (quilt) from 1.0.
    - debian/source/format: 3.0 (quilt)
    - debian/patches/*: converted to quilt from dpatch.
    - debian/control: dropped dpatch from b-d.
  * switched to dh7
    - debian/control: updated debhelper to (>> 7.0.50~) of b-d.
    - do not use dh_movefiles.
      + debian/rules: updated.
      + debian/canna.install: new file.
      + debian/canna-utils.install: renamed from *.files and updated.
      + debian/libcanna1g.install: renamed from *.files and updated.
      + debian/libcanna1g-dev.install: renamed from *.files and updated.
      + debian/postinst: mkdir /var/log/canna before chown.
    - it can handle nostrip build option (Closes: #436616).
    - debian/postrm: remove /etc/canna directory.
  * debian/control: dropped ancient Conflicts/Replaces.
    - canna: C/R: canna-server, libcanna1g (<= 3.5b2-33)
    - canna-utils: C: canna (<= 3.5b2-33), libcanna1g (<= 3.5b2-33)
    - libcanna1g: C: canna (<= 3.5b2-33)
    - libcanna1g-dev: C/R: canna-dev, libcanna1-dev, canna (<= 3.5b2-23)
  * debian/po/nl.po: [INTL:nl] Dutch translaiton updated (Closes: #657008).
    Thanks Jeroen Schot <schot@A-Eskwadraat.nl>.
  * debian/control: add Homepage: and Vcs-* tags.
  * eliminate lintian warning: ancient-autotools-helper-file
    - debian/rules: update and restore canuum's autotools helper files.
  * elimitate lintian warning: debian-watch-file-is-missing
    - debian/watch: new file.
  * eliminate lintian warning: spelling-error-in-{binary,manpages}
    - debian/patches/06_fix_spelling_error.patch: new file.
  * eliminate lintian warning: manpage-has-errors-from-man
    - debian/patches/07_fix_manpages_error.patch: new file.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 25 Jan 2012 13:18:18 +0900

canna (3.7p3-6.5) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high due to RC bug fix
  * Fix problem when trying to delete user twice on purge (postrm purge
    might be indeed called twice; see http://lists.debian.org/debian-devel/2002/10/msg00345.html
    for details) (Closes: #579312)
  * Use userdel instead of the non-essential deluser in postrm
  * Include danish debconf template (Closes: #589865)
  * Also fix lintian error on weak library dependency for libcanna1g-dev
    on libcanna1g by version the dependency with (= ${binary:Version})

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 24 Nov 2010 11:31:07 +0100

canna (3.7p3-6.4) unstable; urgency=low

  * Non-maintainer upload.
  * Drop hardcoded path in postinst
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #548003

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Apr 2010 08:18:50 +0200

canna (3.7p3-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by adding texlive-latex-recommended to build
    dependencies, to fix missing fancyvrb.sty.
    Closes: #562367

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Dec 2009 08:33:02 +0100

canna (3.7p3-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Allow dpkg-reconfigure to work by using debconf settings even 
    when /etc/canna/default.canna already exists. Closes: #208538
  * Bump debhelper compatibility level to 7
  * As a consequence, drop the use of "dh_clean -k", replaced by dh_prep
  * Drop useless output and "exit 0" when postrm and postinst scripts are
    called with something else than "purge".
  * Use "set -e" in *postinst, *config and *postrm scripts
  * Drop .pc/ directory cruft from Debian diff
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #523990
  * [Debconf translation updates]
    - Galician. Closes: #524763
    - Japanese. Closes: #524782, #510710
    - Swedish. Closes: #524788
    - Italian. Closes: #525164
    - Finnish. Closes: #526186
    - Portuguese. Closes: #526711
    - Russian. Closes: #526756
    - German. Closes: #526769
    - French. Closes: #526871
    - Basque. Closes: #526873
    - Spanish. Closes: #526930
    - Czech (Miroslav Kure).  Closes: #545159

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Sep 2009 15:33:55 +0200

canna (3.7p3-6.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Finnish. Closes: #469549
    - Swedish. Closes: #490794
    - Turkish. Closes: #491491
    - Basque. Closes: #491886
  * [Lintian] Use "chown foo:bar" instead of "chown foo.bar" in postinst
  * [Lintian] No longer ignore errors by make in the clean target
  * [Lintian] Build-Depends on xutils-dev instead of obsolete xutils

 -- Christian Perrier <bubulle@debian.org>  Fri, 04 Jul 2008 08:47:39 +0200

canna (3.7p3-6) unstable; urgency=low

  * update pt.po translation (Closes: #413767)

 -- Atsushi Mitsuka <mitsuka@misao.gr.jp>  Tue, 13 Mar 2007 14:09:07 +0900

canna (3.7p3-5) unstable; urgency=low

  * add gl.po translation (Closes: #412644)
  * delete some files left in the case of purge (Closes: #350465)

 -- Atsushi Mitsuka <mitsuka@misao.gr.jp>  Wed, 28 Feb 2007 15:02:43 +0900

canna (3.7p3-4) unstable; urgency=medium

  [ Atsushi Mitsuka ]
  * Fix unusable. Closes: #397696

 -- Atsushi Mitsuka <mitsuka@misao.gr.jp>  Sun, 12 Nov 2006 23:00:41 +0900

canna (3.7p3-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues
  * Fix the dependency on debconf to allow cdebconf transition.
    Closes: #331770
  * Correct English in debconf templates. Closes: #313202, #395979
  * Remove /etc/canna/dics.dir.d/00canna.dics.dir from debian/conffiles
    This was, technically speaking, a FTBFS
  * Lintian fixes, while we're at it:
    - set the debhelper compatibility to 4 with debian/compat

