=== debian/control ===
Source: canna
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 7.0.50~), libx11-dev, xutils-dev, po-debconf,
 autoconf2.13, ptex-bin, texlive-latex-recommended, autotools-dev
Standards-Version: 3.9.2
Homepage: http://canna.sourceforge.jp/
Vcs-Git: git://anonscm.debian.org/collab-maint/canna.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/canna.git

Package: canna
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser (>= 3.34)
Suggests: canna-shion
Description: input system for Japanese - server and dictionary
 Canna provides a unified user interface for Japanese input. It is based
 on a client-server model and supports automatic kana-to-kanji conversion.
 .
 It supports multiple clients (including kinput2 and canuum), and allows
 them all to work in the same way, sharing customization files,
 romaji-to-kana conversion rules and conversion dictionaries.
 .
 This package provides the Canna server program and dictionary files.

Package: canna-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: input system for Japanese - utilities
 Canna provides a unified user interface for Japanese input. It is based
 on a client-server model and supports automatic kana-to-kanji conversion.
 .
 It supports multiple clients (including kinput2 and canuum), and allows
 them all to work in the same way, sharing customization files,
 romaji-to-kana conversion rules and conversion dictionaries.
 .
 This package provides client programs for Canna.

Package: libcanna1g
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: input system for Japanese - runtime library
 Canna provides a unified user interface for Japanese input. It is based
 on a client-server model and supports automatic kana-to-kanji conversion.
 .
 It supports multiple clients (including kinput2 and canuum), and allows
 them all to work in the same way, sharing customization files,
 romaji-to-kana conversion rules and conversion dictionaries.
 .
 This package provides shared libraries for Canna.

Package: libcanna1g-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcanna1g (= ${binary:Version})
Description: input system for Japanese - development files
 Canna provides a unified user interface for Japanese input. It is based
 on a client-server model and supports automatic kana-to-kanji conversion.
 .
 It supports multiple clients (including kinput2 and canuum), and allows
 them all to work in the same way, sharing customization files,
 romaji-to-kana conversion rules and conversion dictionaries.
 .
 This package provides the headers and static libraries needed to develop
 software based on Canna.
